Passer au contenu principal
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
Récupère les informations détaillées sur le catalogue
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId} \
  --header 'Authorization: Bearer <token>'
{
  "columns": [
    {
      "name": "<string>",
      "notEmpty": true
    }
  ],
  "id": "<string>",
  "name": "<string>",
  "rowCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

catalogId
string
requis

Identifiant du catalogue. Vous pouvez le trouver dans la liste de tous les catalogues.

Réponse

Les informations du catalogue ont été récupérées avec succès

columns
object[]
requis

Colonnes du catalogue

id
string
requis

Identifiant unique du catalogue

Minimum string length: 1
name
string
requis

Nom du catalogue

Minimum string length: 1
rowCount
integer<int32>
requis

Nombre total de lignes du catalogue